*Before* submitting a pull request, please make sure the following is done...

1. Fork the repo and create your branch from `master`.
2. If you've added code that should be tested, add tests!
3. If you've changed APIs, update the documentation.
4. Ensure the test suite passes (`gulp test`).
5. Make sure your code lints (`gulp lint`) - we've done our best to make sure these rules match our internal linting guidelines.
6. Create a pull request.
