'use strict'

const chalk = require('chalk')

/**
 * Get notifications
 */

module.exports = () => {
  Github.activity.getNotifications({
    all: true
  }, (error, response) => {
    if (error) {
      throw error
    }

    if (Array.isArray(response)) {
      console.log(chalk.grey('\nNotifications'))
      response.forEach(function(objectInArray) {
        console.log(chalk.grey('------------------------------'))
        console.log(chalk.grey(` Repository: ${objectInArray.repository.full_name}`))
        console.log(chalk.grey(` Type: ${objectInArray.subject.type}`))
        console.log(chalk.grey(` Title: ${objectInArray.subject.title}`))
      })
      console.log(chalk.grey('------------------------------'))
    }
  })
}
