'use strict'

const log = require('../util/log.js')
const clone = require('../util/clone.js')

/**
 * Create repository
 */
module.exports = (name, options) => {
  Github.repos.create({
    'name': name,
    'private': options.private
  }, (error, response) => {
    if (error) {
      console.log(error)
    }

    log(response)

    if (options.clone) {
      clone(response.clone_url)
    }
  })
}
