'use strict'

const log = require('../util/log.js')

/**
 * Delete repository
 */
module.exports = (username, repository) => {
  Github.repos.delete({
    user: username,
    repo: repository
  }, (error, response) => {
    if (error) {
      throw error
    }

    const message = {
      deleted: true,
      message: `Your repository ${repository} was successfully deleted.`
    }

    log(message)
  })
}
