'use strict'

/**
 * Load api
 **/
const createRepository = require('./createRepo')
const deleteRepository = require('./deleteRepo')
const getNotifications = require('./getNotifications.js')

/**
 * Expose the api
 **/
module.exports = {
  createRepository: createRepository,
  deleteRepository: deleteRepository,
  getNotifications: getNotifications
}
